<?php

    function routes_photokiosk(){

        $routes[] = array(
                            '_uri'  => '/^photokiosk\/my.html$/i',
                            'do'    => 'my'
                         );    
		$routes[] = array(
                            '_uri'  => '/^photokiosk\/photo.html$/i',
                            'do'    => 'photo'
                         );   				 
        $routes[] = array(
                            '_uri'  => '/^photokiosk\/upload.html$/i',
                            'do'    => 'upload'
                         ); 
        $routes[] = array(
                            '_uri'  => '/^photokiosk\/photo_item([0-9]+).html$/i',
                            'do'    => 'photo_item',
                            1       => 'id'
                         );
        $routes[] = array(
                            '_uri'  => '/^photokiosk\/hide([0-9]+).html$/i',
                            'do'    => 'hide_item',
                            1       => 'id'
                         );							 
        $routes[] = array(
                            '_uri'  => '/^photokiosk\/show([0-9]+).html$/i',
                            'do'    => 'show_item',
                            1       => 'id'
                         );	 
        $routes[] = array(
                            '_uri'  => '/^photokiosk\/edit([0-9]+).html$/i',
                            'do'    => 'edit_item',
                            1       => 'id'
                         );	
        $routes[] = array(
                            '_uri'  => '/^photokiosk\/move([0-9]+).html$/i',
                            'do'    => 'move',
                            1       => 'id'
                         );	
        $routes[] = array(
                            '_uri'  => '/^photokiosk\/move_ok([0-9]+).html$/i',
                            'do'    => 'move_ok',
                            1       => 'id'
                         );	
        $routes[] = array(
                            '_uri'  => '/^photokiosk\/delete([0-9]+).html$/i',
                            'do'    => 'delete',
                            1       => 'id'
                         );
        $routes[] = array(
                            '_uri'  => '/^photokiosk\/ava([0-9]+).html$/i',
                            'do'    => 'ava',
                            1       => 'id'
                         );	 
        $routes[] = array(
                            '_uri'  => '/^photokiosk\/crop([0-9]+).html$/i',
                            'do'    => 'crop',
                            1       => 'id'
                         );
        
        $routes[] = array(
                            '_uri'  => '/^photokiosk\/crop_photo([0-9]+).html$/i',
                            'do'    => 'crop',							
							'setphoto'    => 'ok',
                            1       => 'id'
                         );	
        	
        $routes[] = array(
                            '_uri'  => '/^photokiosk\/crop_uphoto([0-9]+).html$/i',
                            'do'    => 'crop',							
							'setphoto'    => 'uok',
                            1       => 'id'
                         );
        
        $routes[] = array(
                            '_uri'  => '/^photokiosk\/set_avaphoto([0-9]+).html$/i',
                            'do'    => 'set_ava',
							'setphoto'    => 'ok',
                            1       => 'id'
                         );
        $routes[] = array(
                            '_uri'  => '/^photokiosk\/set_avauphoto([0-9]+).html$/i',
                            'do'    => 'set_ava',
							'setphoto'    => 'uok',
                            1       => 'id'
                         );
        $routes[] = array(
                            '_uri'  => '/^photokiosk\/set_ava([0-9]+).html$/i',
                            'do'    => 'set_ava',
                            1       => 'id'
                         );
        $routes[] = array(
                            '_uri'  => '/^photokiosk\/jpgphoto([0-9]+)-([0-9]+).html$/i',
                            'do'    => 'jpg',
							'setphoto'    => 'ok',
                            1       => 'id'
                         );
       $routes[] = array(
                            '_uri'  => '/^photokiosk\/jpguphoto([0-9]+)-([0-9]+).html$/i',
                            'do'    => 'jpg',
							'setphoto'    => 'uok',
                            1       => 'id'
                         );
		$routes[] = array(
                            '_uri'  => '/^photokiosk\/jpg([0-9]+)-([0-9]+).html$/i',
                            'do'    => 'jpg',
                            1       => 'id'
                         );
		$routes[] = array(
                            '_uri'  => '/^photokiosk\/page([0-9]+).html$/i',
                            'do'    => 'view',
                            1       => 'page'
                         );
		$routes[] = array(//    photos /photokiosk/set_photo_ava11111.html
                            '_uri'  => '/^photokiosk\/set_photo_ava([0-9]+).html$/i',
                            'do'    => 'ava',
							'setphoto'    => 'ok',
                            1       => 'id'
                         );	
        
        $routes[] = array(//     /photokiosk/set_uphoto_ava11111.html
                            '_uri'  => '/^photokiosk\/set_uphoto_ava([0-9]+).html$/i',
                            'do'    => 'ava',
							'setphoto'    => 'uok',
                            1       => 'id'
                         );	
               					 
						 
        return $routes;

    }

?>
